Package org.eclipse.cdt.doxygen.core

# Interface DoxygenConfiguration

public interface DoxygenConfiguration
Provides access to the doxygen options according to the required preference scope

## Method Summary

Modifier and Type
Method
Description
`DoxygenOptions`
`projectOptions(org.eclipse.core.resources.IProject project)`
Returns the doxygen options for the given project scope, must not return `null`
`DoxygenOptions`
`workspaceOptions()`
Returns the doxygen options for the workspace scope, must not return `null`

## Method Details

### workspaceOptions

DoxygenOptions workspaceOptions()
Returns the doxygen options for the workspace scope, must not return `null`

Returns:
  doxygen options for the workspace scope

### projectOptions

DoxygenOptions projectOptions(org.eclipse.core.resources.IProject project)
Returns the doxygen options for the given project scope, must not return `null`

Parameters:
  `project` - scope for doxygen options, must not be `null`
Returns:
  doxygen options for the given project scope